AutoCAD .NET :: Determine Whether Or Not A Point Inside Polyface Mesh
Sep 17, 2013My problem is I have an object polyface mesh and any point, determine which points in the mesh object polyface not?
View 5 RepliesMy problem is I have an object polyface mesh and any point, determine which points in the mesh object polyface not?
View 5 RepliesHere's the file:
[URL].......
I'm trying to figure out if there's a way to separate a Polyface Mesh at a particular point. I would like to use the SLICE command but it's not working. I tried SUBTRACT on the solid but no can do either. Is there a way to do this?
I have a huge structural floorplan, and I want to divide it up into sections so when XREF'ed in my drawing I can load it in piece by piece, saving a huge performance hit.
I am developing a plugin for Illustrator CS5, 6. I have a scenario which requires the plugin to place a text frame inside a closed path art. How can I calculate the proper destination coordinates? The path art can be a curve or a rectangle, any shape. I need to place the text frame inside the path such that no part of the text frame overlaps the boundaries of the path art.
I looked at the forum and found the following thread: [URL] .....
Here, its stated that the method AIPathfinderSuite::DoFrontMinusBackEffect of the API did the required task. I tried the same but couldn't get it to work.
My first preference is to use the Illustrator SDK, not any third party libraries.
I have some topography I've converted from SketchUp to .Dwg and I was curious if AutoCad (or any of it's versions) had the capabilities of turning this series of meshes into a run-of-the-mill topographic map. For instance, a standard plan view showing elevation lines at say 2' intervals.
If any of the versions are capable I can definitely get the 30 Day trial and give it a go.
I created a 3D math surface using 3DPLOT. However my outcome is a polyface mesh and I need to convert it to a solid. I have already tried the "Convert to Solid" & "Convert to Surface" options in the Mesh tab but I get "Mesh not converted because it is not closed or it self-intersects." I also tried the f2s.lsp but I am unsure on how to select my object.
Here is my object: [URL]
It is basically a 3D plot of cos(x) + cos(y).
I created a 3D math surface using 3DPLOT. However my outcome is a polyface mesh and I need to convert it to a solid. I have already tried the "Convert to Solid" & "Convert to Surface" options in the Mesh tab but I get "Mesh not converted because it is not closed or it self-intersects." I also tried the f2s.lsp but I am unsure on how to select my object.
Here is my drawing.
It is basically a 3D plot of cos(x) + cos(y).
I have a series of Polyface meshes imported from a Revit project.
(If this is doable straight from Revit that'd be good too, but I haven't had any success with that)
If I right click on one and select properties, I can clearly see where each vertex has an X, Y, and Z coordinate. For the purposes of a research project, I'd like to be able to automatically export all these coordinates to any ascii format for input into an algorithm. The dataextraction command does not seem to be capable of this and only exports the number of faces and vertices of each mesh.
I have a 3d model of a building and all of the faces of the building are of the type polyface mesh. If I use explode, each polyface mesh gets split into individual 3d faces. But, I'd simply like to replace each polyface mesh with a 3d face (not multiple 3d faces). Is there anyway to do this?
The reason I'm doing this is because I'm importing the building model into ray tracing software, but the software doesn't like the building when the faces are of the type polyface mesh.
I'm trying to figure out a way to convert a 'Polyface Mesh' into a mass element or some other solid. The Polyface Mesh was created by importing a .3ds model using the '3dsin' command. The .3ds file was created from exporting the model out of Max.
View 5 Replies View RelatedImport Polyface Mesh to the AIP2012
View 3 Replies View RelatedHow to add additional openings in the polyface mesh model.
3D model as attached.
I have received a drawing drawn in a polyface mesh and I'm trying to convert it into a 3D shape in order to determine the volume and surface area of the shapes.
View 9 Replies View RelatedI have a 3D model of a steel construction with the assignment to create special views of it and 2D projections for manufacturing of each beam individually. I tried many commands like Flatshot ( which don't work cause its a complex polyface mesh, and smooth mesh only makes a additionally mess), Flatten with hidden lines ( lines are mixed and changed), the LISP command SUPFLAT, but the hidden lines appear in the projection. SOLVIEW and SOLDRAW create views in the paperspace, which when export as a layout, become a mess too. The Lisp command M2S also does not work.
View 9 Replies View RelatedI created something in Rhino and imported it in Autocad as .3ds file but the geometry is not a solid one but a polyface mesh and I cannot edit it with boolean commands, thus I cannot continue editing it...I found out that there is this plugin Mesh 2 Solid but it is not free and I cannot find a proper crack anywhere..I cannot find any other way to make mesh solid...
View 8 Replies View RelatedI have created a TIN (triangulated irregular network) of an existing survey in my terrain modelling software (12d Model). I am able to export (save-as) the TIN as 3D Face Triangles for opening in AutoCAD (2012) or similar.
My ultimate goal is to create a solid surface in Inventor. The surface has to be seemless (stitched) in order for me to create a new sketch and extrude to this surface. Finally giving me a part in Inventor that represents my ground. I would then want to use the same process to bring into Inventor all other Civil Design works created in 12d Model such as roads, earthworks platforms (including dams) etc.
I've tried stitching (Inventor and Microstation) without success. Inventor keeps crashing and Microstation looses data. AutoCAD (2012) won't let me create a polyface mesh from 3D Faces. I tried doing a mesh, surface union without success. Programs either crash or data is lost.
I have a dwg file of a section of a tunnel that has been exported from Microstation as a polyface mesh surface. What I am trying to achieve is cutting a hole into the surface. I am assuming that I cannot cut a surface directly, but need to convert it to a solid first.
I've searched this site and I have tried everything I can think of to no avail. Inventor does not seem to be able to convert the surface to a solid. Also, when I import the surface to Inventor, some of the triangular meshes are not there, and there are too many "holes" to patch them manually. I've also tried using lisps in AutoCAD, but on the surface and 3D faces after exploding it, but for example m2s.lsp or f2s.lsp do not seem to work.
I have also had the same file exported from Microstation as ACIS .sat, but version 18.0 is not readable by Inventor. Is there a way to convert the ASCII file to an older version?
I am using Inventor 2013, and I also have AutoCAD 2013 available.
I'm having difficulty trying to create what could be described as a diamond pattern inside a cylinder. How to achieve this.
Please see picture for an idea of the pattern.
How do you create a mesh between an arc and a point, or vertex between 2 lines.
View 8 Replies View RelatedI have a closed object and a line outside this object. I want to take anypoint on this polyline as a reference and check whether that point is lying inside the closed object or outside.
View 2 Replies View RelatedI have a database containing more than 5000 parcels. each parcel have its set of points with their labels, and for each parcel I have to generate a drawing. Is there an algorithm for placing point labels inside the polygon of the parcel with minimum overlapping ?
View 1 Replies View RelatedThere are many examples of creating rectangular patterns, but not many, if any, of interrogating existing patterns.I have attached the files and a screenshot of a rectangular part inside an assembly. The part contains a rectangular pattern of holes and workplanes.how do I get hold of each proxy of the workplane in the pattern?In other words I don't know what to put in the for loop at the end of this code fragment:
If _invApp.Documents.Count = 0 Then MsgBox("Need to open an the assembly document") ReturnEnd If If _invApp.ActiveDocument.DocumentType <> DocumentTypeEnum.kAssemblyDocumentObject Then MsgBox("Need to have an Assembly document active") ReturnEnd If Dim asmDoc As Assembly Document asmDoc = _invApp.ActiveDocument Dim asmDef As AssemblyComponentDefinition asmDef = asmDoc.ComponentDefinition im occurrences As ComponentOccurrencesoccurrences.
[code]....
when i export (or explode) my plan every window, doors etc... split in more "under-blocks", and that's ok. but i have a problem with the windows: after the explode command, one of the blocks inside (the one that shows the opening side) "jump" in the 0,0,0 coordinates point, but all the others remain in the right position.
PS: i think the problem is not in the window-block, because i tried it in another old file, and it works. and the autocad option are also always the same.
How would I go about this. if a two blocks or polygons are overlapping area?
A good method or the algebraic formula for a function to tell me if a point is inside a polygon or block's area?
I have a rectangular box in perspective on a layer, I want to stick a picture on it , so I can use the Vanishing point filter (creating a right plane, copy/ paste that picture and placing it) and it works fine. But I have the same picture to do with a hundred of picture to stick, so I need that to be dynamic. I only had to right click my layer with dynamic picture, "replace content", and it auto-fills in the other layer with the vanishing point edit.
View 6 Replies View RelatedI have an assembly that has somewhere a hole with a round bar that exactly fits in this hole. But when meshing the assembly, the mesh of the hole and the mesh of the bar are different.
The result is that the different parts do only seem to touch each other at the edges of the mesh, resulting in high stresses.
See picture.
I tried to made a derived part from the assembly, but that one does not finish meshing. After 48 hours, the progress bar is still half way. While the one above did finish in about 15 minutes. What can I do to make the meshes match?
transform polyface to 3d solid?
View 1 Replies View RelatedI'm creating an iPhone 4 case so it has a logo on it for my teacher. I got the case from thiniverse. It was a polyface mesh. i tried to subtract from it but it didn't work. I tried convtosolid but it didnt work. I exploded them and selected the outside shell and extruded all of the objects inward. Then when i tried to union them together, some of them would union, but not all of them together. im trying to export it as a .stl so I can use it with a 3D printer...
I'm using AutoCAD 2010 Educational version.
I thought they were supposed to appear when the Polygon shelf is selected? I don't see them. In fact, when I select different shelves the menu items on the right half of the task bar don't change at all. Is this normal?
This is Maya 2011 on Mac OS X Lion.
I have this strange situation.. i use the Arial font inside my cad drawings and when i print my paperspace layout, the text inside the viewport is a little bit more "bold" then the text i put directly on paper space.
Maybe it's a trick to know what text is placed where, but i want all this to be uniform, same thickness. Is there a system variable to correct that issue?
See the image below: It's a 400 DPI scan from an impression i did.
Up to COUPE C1 is the text inside the viewport, under COUPE C1is the paperspace text. Both are the same height... but difference tickness.
I really enjoy this new draw inside feature in Illustrator. But, I find that it does not always work. It seems to be grayed out sometimes. For example, I have drawn a shape with my Wacom tablet using a blush. I then converted it to a shape instead of keeping it a stroke by expanding it. But it will not allow me to now draw inside of it, even though it is a shape.
View 8 Replies View RelatedI have a really large sphere and have put a camera on the inside to see the inside surface. I have used the normal modifier to flip the normals and so have the skin on the inside. Something is going very wrong at this point because I have this ugly shadow line that I cannot get rid of and I also seem to not be able to light this interior, when I use an omni light it makes no difference. Where am I going wrong?
View 7 Replies View Related